Subject: Re: bug#30882: 24.3; c-perl misbehavior

From: Glenn Morris <[email-masked]>
Date: Tue, 20 Mar 2018 13:34:47 -0400

Steven Hirsch wrote:

> Edit any Perl source file using c-perl.  Trigger a syntax expansion by,
> e.g. entering 'if' followed by space.  Having done so, the next key
> stroke (regardless of what it is) causes an annoying bell and a
> minibuffer message that implies a 'C-h' was entered prior to the actual
> key.
[...]
> GNU Emacs 24.3.1 (x86_64-redhat-linux-gnu, GTK+ Version 3.22.10)
> System Description:	CentOS Linux release 7.4.1708 (Core)

I can't reproduce this with Emacs 24.3 on Scientific Linux 7.4, which
ought to be identical to yours. Perhaps some local configuration is the
problem. Tested with

/usr/bin/emacs -Q foo.pl
M-x cperl-mode